Skip to main content
PUT
/
environments
/
{id}
cURL
curl -X PUT https://api.growthbook.io/api/v1/environments/env-id \
   -d '{ "description": "My updated environment" }' \
  -u secret_abc123DEF456:
{
  "environment": {
    "id": "<string>",
    "description": "<string>",
    "toggleOnList": true,
    "defaultState": true,
    "projects": [
      "<string>"
    ],
    "parent": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Body

application/json
description
string

The description of the new environment

toggleOnList
boolean

Show toggle on feature list

defaultState
boolean

Default state for new features

projects
string[]

Response

200 - application/json

Success

environment
object
required